### Function

# Foundry ProcessLauncherHandler

#### Declaration

    gboolean
    (* FoundryProcessLauncherHandler) (
      FoundryProcessLauncher* process_launcher,
      const char* const* argv,
      const char* const* env,
      const char* cwd,
      FoundryUnixFDMap* unix_fd_map,
      gpointer user_data,
      GError** error
    )

#### Description

No description available.

#### Parameters

`process_launcher`

  Type: `FoundryProcessLauncher`

  No description available.

  The data is owned by the caller of the function.

`argv`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`env`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cwd`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`unix_fd_map`

  Type: `FoundryUnixFDMap`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; otherwise `FALSE` and `error` must be set.